# List_All_Certificate_Logs

Retrieve the certificate's logs.

`GET /v2/certificates/{id}/logs`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/List_All_Certificate_Logs/

## Description

Retrieve all logs for a certificate.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the certificate. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CertificateLog` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CertificateLog`

Certificate Log Model

| Property | Type | Required | Description |
|---|---|---|---|
| `account` | string | No | The user account whose actions generated the log. Example: `mycompanies.api`. |
| `certificate_id` | integer | No | The internal id of the certificate Example: `25`. |
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `entry` | string | No | The log entry text. Example: `New certificate record added.`. |
| `id` | integer | No | System Generated Record ID Example: `1`. |
| `log_type` | object[] | No | The type of log being generated. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/certificates/{id}/logs" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```